Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant
Interface DynamicElement

All Known Subinterfaces:
  DynamicConfigurator

All Known Implementing Classes:
  ScriptDefBase, XSLTProcess.Factory.Attribute

    public interface DynamicElement

Enables a task to control unknown elements.

Since:
  Ant 1.5

Method Summary
`java.lang.Object` | `createDynamicElement(java.lang.String name)` Create an element with the given name

Method Detail

### createDynamicElement

    java.lang.Object createDynamicElement(java.lang.String name)
                                          throws BuildException

  Create an element with the given name

  Parameters:
    `name` - the element name
  Returns:
    the element created
  Throws:
    `BuildException` - when any error occurs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD